package cn.com.ty.lift.ud.operation.service;

import cn.com.ty.lift.ud.common.NotExamineDto;
import cn.com.ty.lift.ud.operation.controller.query.VipFeeSettingQuery;
import cn.com.ty.lift.ud.operation.mapper.entity.VipFeeSettingEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 会费设置;-Service
 * 
 * @author Xson
 * @date 2020-06-19
 */
public interface IVipFeeSettingService extends IService<VipFeeSettingEntity> {

    RestResponse examineById(NotExamineDto neDto);

    RestResponse create(VipFeeSettingEntity entity);

    RestResponse submit(Long id);

    VipFeeSettingEntity getByPeriodAndLevel(Integer period,Long userLevelId);

    RestResponse getAll(Integer userLevelId);

    RestResponse selectByExample(VipFeeSettingQuery request);
}
